gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# Gtk::IconThemeError Class Reference

Exception class for Gdk::IconTheme errors. More...

Inheritance diagram for Gtk::IconThemeError:
[legend]
Collaboration diagram for Gtk::IconThemeError:
[legend]

List of all members.

## Public Types
enum | Code { ICON_THEME_NOT_FOUND, ICON_THEME_FAILED }
## Public Member Functions
| IconThemeError (Code error_code, const Glib::ustring& error_message)
| IconThemeError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Gdk::IconTheme errors.

## Member Enumeration Documentation

enum Gtk::IconThemeError::Code

Enumerator:

  ICON_THEME_NOT_FOUND |
  ICON_THEME_FAILED |

## Constructor & Destructor Documentation

Gtk::IconThemeError::IconThemeError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::IconThemeError::IconThemeError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gtk::IconThemeError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- gtkmm/icontheme.h